body {
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif;
}

header {
    background-color: #2c3e50;
    color: #fff;
    padding: 20px;
    text-align: center;
}

header {
    position: relative;
}

header div {
    display: block;
    height: auto;
}

header h1 {
    position: absolute;
    top: 10%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1;
    color: #fff;
    text-align: center;
    font-size: 2em;
}


nav {
    background-color: #34495e;
    color: #fff;
    padding: 10px;
    text-align: center;
	margin: 0 auto;
	width: 100%;
	max-width: 800px;	
}

nav a {
    color: #fff;
    text-decoration: none;
    padding: 5px;
    text-align: center;	
}

nav a:hover {
    color: #2c3e50;
    background-color: #fff;
    border-radius: 5px;
    padding: 5px;
}

#temperature-link {
	width: 40px;
	padding-top: 5px;
	padding-bottom: 5px;	
}

section {
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	flex-direction: column;
	align-content: space-around;
}
header, nav {
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
}  

article {
    width: 800px;
    border: 1px solid #ccc;
    margin: 10px;
    padding: 10px;
    text-align: left;
}

article h2 {
    font-size: 24px;
    margin-bottom: 10px;
}

article p {
    font-size: 16px;
    line-height: 1.5;	
    text-align: justify;
}

footer {
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
	background-color: #2c3e50;
	color: #fff;
	text-align: center;
	height: 100px; /* устанавливаем фиксированную высоту */
	box-sizing: border-box; /* учитываем padding в общей высоте элемента */
}


img {
  max-width: 100%;
  height: auto;
  float: left;
  margin-right: 20px;
}

.image-at {
    float: none;
    margin: 0px;
	vertical-align: middle;
}

#gallery-image-office{
    display: flex;
    max-width: min-content;
	width: 100%;
	height: 60px;	
}

#image-office:hover {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) scale(1.0);
  z-index: 9999;
  min-width: 80px;
  min-height: 60px;
}

.back-to-top {
  position: fixed;
  bottom: 20px;
  right: 20px;
  background-color: #34495e;
  color: #fff;
  padding: 10px;
  border: 2px solid #34495e;  
  border-radius: 5px;
  text-align: center;
  text-decoration: none;
  display: block;
}

.back-to-top:hover {
    color: #2c3e50;
    background-color: #fff;
}

#map {
height: 400px;
width: 100%;
}

form label {
  display: block;
  margin-bottom: 0.5rem;
}

form input[type="text"],
form input[type="email"],
form textarea {
  width: -webkit-fill-available;
  padding: 0.5rem;
  border: 2px solid #ccc;
  border-radius: 5px;
  margin-bottom: 1rem;
  min-width: -moz-available;
}

form textarea {
  resize: vertical;
  min-height: 150px;
}

form input[type="submit"] {
  background-color: #34495e;
  color: white;
  padding: 0.5rem;
  border: 2px solid #34495e;
  border-radius: 5px;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

form input[type="submit"]:hover {
    color: #2c3e50;
    background-color: #fff;
}

hr {
	width: 100%;
}

address {
	display: flex;
}

address p {
	margin-right: 3px;
}

.white-link {
  color: white;
}

.text-small {
  font-size: 0.8em;
}

.p-top-margin {
  display: inline-block;
}

.text-outline {
  color: white;
  text-shadow: -1px -1px 0 black, 1px -1px 0 black, -1px 1px 0 black, 1px 1px 0 black;
}


.text-align-left {
    text-align: left;
}

.div-map {
	display: inline-block;
	margin-top: inherit;
	width: 800px;
	height: 400px
}

.image-header {
	width: 800px;
	height: 600px;
    margin-bottom: 30px;
	margin-right: 0px;	
}

.image-workplace {
	width: 800px;
	height: 600px;
}

.image-workplace-2 {
    margin-top: inherit;
}

.image-article {
	width: 320px;
	height: 240px;
}

.language-switcher {
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);	
  display: flex;
  justify-content: space-between;
  align-items: center;
  max-width: 100%;
  min-height: 30px;
  height: 30px;
  padding-left: 20px;
  margin-bottom: 10px;
}

.language-switcher a {
  /* display: block; */
  width: 40px;
  height: 30px;
    margin-right: 20px;
    text-align: center;	  
}

.language-switcher img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 5px;
}

.p-email {
	margin-block-start: auto;
}

[id^=open-block]{
    visibility: hidden;
    opacity: 0;
    position: fixed; top: 0; left: 0;
    z-index: 999;
    width: 100%;
    height: 100%;    
    background: rgba(0,0,0,0);
    -webkit-transition: 0.5s;
    transition: 0.5s;
}
[id^=open-block]:target{
    visibility: visible;
    opacity: 1;
}
[id^=open-block]:target  .open-block-inner{
    top: 50%;
}
.open-block-inner{
    position: absolute; top: 0%; left: 50%;
    z-index: 1000;
    width: 50%;
    padding: 20px;
    background: #fff;
    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    -webkit-transition: 0.5s;
    transition: 0.5s;
    /* background: grey; */
    border: 1px solid black;
}

#open-block-2 .open-block-inner{
    top: 50%;
    /* left:70%; */
}
#open-block-2:target  .open-block-inner{
    /* top: 90%; */
}

.open-block-text{
    position: relative;    
}

.open-block-close{
    position: absolute; top: -32px; right: -32px;
    width: 24px;
    height: 24px;
    text-decoration: none;
    text-align: center;
    border: 2px solid #fff;
    background: #555;
    color: #fff;
    font: 700 20px/20px verdana, sans-serif;
    border-radius: 50%;
    box-shadow: 0 2px 2px rgba(0,0,0,0.5);
}
.open-block-close:hover{
    background: #f00;
}

.check_reg {
	visibility: hidden;
    height: 0px;
    width: 0px;
}

@media only screen and (max-width: 768px) {
  header, nav, footer, section, article, p, h1 {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin: 0;
    padding: 0;
    width: 100%;
    box-sizing: border-box;
    max-width: none;		
  }

  article {
    padding-left: 5px;		
    padding-right: 5px;	
  }

img {
  max-width: 100%;
  min-width: -webkit-fill-available;
  height: auto;
  float: none;
  margin-right: 0px;
}

.image-header {  
  width: 100vw;
  height: 75vw;
}

.image-workplace {
  width: 100vw;
  height: 75vw;
}

.image-workplace-2 {
    margin-top: inherit;
}

.image-at {
    max-width: 18px;
	min-width: auto;
	width: 18px;
    height: 18px;
	max-height: 18px;
	border: 0px;
    float: center;
    margin-right: unset;
}

header h1 {	
    top: 30%;
}

form {
	min-width: -webkit-fill-available;
}
  footer {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: auto;	
  }
  
  footer p {
    font-size: 90%; /* Уменьшаем размер шрифта */
    margin: 3px 0; /* Устанавливаем отступы между элементами <p> */
  }
.text-small {
  font-size: 0.6em; /* Уменьшаем размер шрифта */
}
  /* переопределяем стиль, который может ограничивать ширину родительского элемента */
  .parent-element {
    max-width: none;
  }

  .back-to-top {
    display: block;
  }
  
address {
    height: auto;		
	display: block;
}  
  
} 